Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 749831 - dev-libs/nettle-3.6-r2[doc] fails src_configure without sys-apps/texinfo ( configure: error: Cannot find 'makeinfo', required for documentation )
Summary: dev-libs/nettle-3.6-r2[doc] fails src_configure without sys-apps/texinfo ( co...
Status: CONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo's Team for Core System packages
URL:
Whiteboard:
Keywords:
Depends on: 749867
Blocks:
  Show dependency tree
 
Reported: 2020-10-17 21:03 UTC by Kent Fredric (IRC: kent\n)
Modified: 2020-12-26 21:17 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Kent Fredric (IRC: kent\n) gentoo-dev 2020-10-17 21:03:00 UTC
checking whether byte ordering is bigendian... yes
checking for __builtin_bswap64... yes
checking for __attribute__... yes
checking for fcntl file locking... yes
checking for __gmpn_zero_p in -lgmp... yes
checking for GMP limb size... 32 bits
checking CCPIC... -fpic
checking if Intel CET is enabled... no
checking for m4... /usr/bin/m4
checking for makeinfo... not-found
configure: error: Cannot find 'makeinfo', required for documentation.

!!! Please attach the following file when seeking support:
!!! /var/tmp/portage/dev-libs/nettle-3.6-r2/work/nettle-3.6-.m68k/config.log
 * ERROR: dev-libs/nettle-3.6-r2::gentoo failed (configure phase):
 *   econf failed


configure:7261: checking for makeinfo
configure:7292: result: not-found
configure:7308: error: Cannot find 'makeinfo', required for documentation.


This is reasonably uncommon to hit, I only hit it because I:

1. Made sure to perform a full depclean --with-bdeps=y prior to (re-)emerging nettle
2. And then, I used binpkg's to provision all of nettle's own build dependencies.

[binary  N     ] sys-devel/automake-wrapper-11::gentoo  0 KiB
[binary  N     ] sys-devel/autoconf-wrapper-13-r1::gentoo  0 KiB
[binary  N     ] dev-lang/perl-5.30.3-r1:0/5.30::gentoo  USE="berkdb gdbm -debug -doc -ithreads" 0 KiB
[binary  N     ] virtual/perl-Test-Harness-3.420.0-r3::gentoo  0 KiB
[binary  N     ] virtual/perl-Data-Dumper-2.174.0-r1::gentoo  0 KiB
[binary  N     ] app-admin/perl-cleaner-2.28::gentoo  0 KiB
[binary  N     ] perl-core/File-Temp-0.230.900::gentoo  0 KiB
[binary  N     ] virtual/perl-File-Temp-0.230.900::gentoo  0 KiB
[binary  N     ] sys-devel/autoconf-2.69-r5:2.69::gentoo  USE="(-emacs)" 0 KiB
[binary  N     ] sys-devel/automake-1.16.2:1.16::gentoo  USE="-test" 0 KiB
[binary  N     ] sys-devel/libtool-2.4.6-r6:2::gentoo  USE="-vanilla" 0 KiB
[ebuild   R   *] dev-libs/nettle-3.6-r2:0/8-6::gentoo  USE="asm* doc* gmp test -static-libs" 0 KiB


Which means the *indirect* build-deps that *could* have pulled texinfo into the graph, didn't.

Notedly, this is a very ultraminimal chroot, given perl gets regularly depcleaned :)
Comment 1 Kent Fredric (IRC: kent\n) gentoo-dev 2020-10-18 09:11:16 UTC
diff --git a/dev-libs/nettle/nettle-3.6-r2.ebuild b/dev-libs/nettle/nettle-3.6-r2.ebuild
index 57e545cca866..347b685b8f20 100644
--- a/dev-libs/nettle/nettle-3.6-r2.ebuild
+++ b/dev-libs/nettle/nettle-3.6-r2.ebuild
@@ -17,6 +17,7 @@ RESTRICT="!test? ( test )"
 
 DEPEND="gmp? ( >=dev-libs/gmp-6.1:0=[static-libs?,${MULTILIB_USEDEP}] )"
 RDEPEND="${DEPEND}"
+BDEPEND="doc? ( sys-apps/texinfo )"
 
 MULTILIB_WRAPPED_HEADERS=(
        /usr/include/nettle/version.h
Comment 2 Tony Vroon gentoo-dev 2020-10-18 09:19:48 UTC
Your BDEPEND change looks legitimate. ACK on behalf of base-system.
Comment 3 Kent Fredric (IRC: kent\n) gentoo-dev 2020-10-18 09:21:29 UTC
repoman full -d -e y

> RepoMan scours the neighborhood...
> NumberOf dependency.badindev 1
> dependency.badindev dev-libs/nettle/nettle-3.6-r2.ebuild: BDEPEND: ~amd64-linux(default/linux/amd64/17.0/no-multilib/prefix/kernel-3.2+) ['sys-apps/texinfo']
> NumberOf dependency.badinexp 41
> dependency.badinexp dev-libs/nettle/nettle-3.6-r2.ebuild: BDEPEND: ~amd64-linux(default/linux/amd64/17.0/no-multilib/prefix/kernel-2.6.16+) ['sys-apps/texinfo']
> dependency.badinexp dev-libs/nettle/nettle-3.6-r2.ebuild: BDEPEND: ~amd64-linux(default/linux/amd64/17.0/no-multilib/prefix/kernel-2.6.32+) ['sys-apps/texinfo']
> dependency.badinexp dev-libs/nettle/nettle-3.6-r2.ebuild: BDEPEND: ~x86-linux(default/linux/x86/17.0/prefix/kernel-2.6.16+) ['sys-apps/texinfo']
> dependency.badinexp dev-libs/nettle/nettle-3.6-r2.ebuild: BDEPEND: ~x86-linux(default/linux/x86/17.0/prefix/kernel-2.6.32+) ['sys-apps/texinfo']
> dependency.badinexp dev-libs/nettle/nettle-3.6-r2.ebuild: BDEPEND: ~x86-linux(default/linux/x86/17.0/prefix/kernel-3.2+) ['sys-apps/texinfo']
> dependency.badinexp dev-libs/nettle/nettle-3.6-r2.ebuild: BDEPEND: ~x64-macos(prefix/darwin/macos/10.10/x64) ['sys-apps/texinfo']
> dependency.badinexp dev-libs/nettle/nettle-3.6-r2.ebuild: BDEPEND: ~x86-macos(prefix/darwin/macos/10.10/x86) ['sys-apps/texinfo']
> dependency.badinexp dev-libs/nettle/nettle-3.6-r2.ebuild: BDEPEND: ~x64-macos(prefix/darwin/macos/10.11/x64) ['sys-apps/texinfo']
> dependency.badinexp dev-libs/nettle/nettle-3.6-r2.ebuild: BDEPEND: ~x86-macos(prefix/darwin/macos/10.11/x86) ['sys-apps/texinfo']
> dependency.badinexp dev-libs/nettle/nettle-3.6-r2.ebuild: BDEPEND: ~x64-macos(prefix/darwin/macos/10.12/x64) ['sys-apps/texinfo']
> dependency.badinexp dev-libs/nettle/nettle-3.6-r2.ebuild: BDEPEND: ~x86-macos(prefix/darwin/macos/10.12/x86) ['sys-apps/texinfo']
> dependency.badinexp dev-libs/nettle/nettle-3.6-r2.ebuild: BDEPEND: ~x64-macos(prefix/darwin/macos/10.13/x64) ['sys-apps/texinfo']
> dependency.badinexp dev-libs/nettle/nettle-3.6-r2.ebuild: BDEPEND: ~x86-macos(prefix/darwin/macos/10.13/x86) ['sys-apps/texinfo']
> dependency.badinexp dev-libs/nettle/nettle-3.6-r2.ebuild: BDEPEND: ~x64-macos(prefix/darwin/macos/10.14/x64) ['sys-apps/texinfo']
> dependency.badinexp dev-libs/nettle/nettle-3.6-r2.ebuild: BDEPEND: ~x86-macos(prefix/darwin/macos/10.14/x86) ['sys-apps/texinfo']
> dependency.badinexp dev-libs/nettle/nettle-3.6-r2.ebuild: BDEPEND: ~ppc-macos(prefix/darwin/macos/10.4/ppc) ['sys-apps/texinfo']
> dependency.badinexp dev-libs/nettle/nettle-3.6-r2.ebuild: BDEPEND: ~x86-macos(prefix/darwin/macos/10.4/x86) ['sys-apps/texinfo']
> dependency.badinexp dev-libs/nettle/nettle-3.6-r2.ebuild: BDEPEND: ~ppc-macos(prefix/darwin/macos/10.5/ppc) ['sys-apps/texinfo']
> dependency.badinexp dev-libs/nettle/nettle-3.6-r2.ebuild: BDEPEND: ~x64-macos(prefix/darwin/macos/10.5/x64) ['sys-apps/texinfo']
> dependency.badinexp dev-libs/nettle/nettle-3.6-r2.ebuild: BDEPEND: ~x86-macos(prefix/darwin/macos/10.5/x86) ['sys-apps/texinfo']
> dependency.badinexp dev-libs/nettle/nettle-3.6-r2.ebuild: BDEPEND: ~x64-macos(prefix/darwin/macos/10.6/x64) ['sys-apps/texinfo']
> dependency.badinexp dev-libs/nettle/nettle-3.6-r2.ebuild: BDEPEND: ~x86-macos(prefix/darwin/macos/10.6/x86) ['sys-apps/texinfo']
> dependency.badinexp dev-libs/nettle/nettle-3.6-r2.ebuild: BDEPEND: ~x64-macos(prefix/darwin/macos/10.7/x64) ['sys-apps/texinfo']
> dependency.badinexp dev-libs/nettle/nettle-3.6-r2.ebuild: BDEPEND: ~x86-macos(prefix/darwin/macos/10.7/x86) ['sys-apps/texinfo']
> dependency.badinexp dev-libs/nettle/nettle-3.6-r2.ebuild: BDEPEND: ~x64-macos(prefix/darwin/macos/10.8/x64) ['sys-apps/texinfo']
> dependency.badinexp dev-libs/nettle/nettle-3.6-r2.ebuild: BDEPEND: ~x86-macos(prefix/darwin/macos/10.8/x86) ['sys-apps/texinfo']
> dependency.badinexp dev-libs/nettle/nettle-3.6-r2.ebuild: BDEPEND: ~x64-macos(prefix/darwin/macos/10.9/x64) ['sys-apps/texinfo']
> dependency.badinexp dev-libs/nettle/nettle-3.6-r2.ebuild: BDEPEND: ~x86-macos(prefix/darwin/macos/10.9/x86) ['sys-apps/texinfo']
> dependency.badinexp dev-libs/nettle/nettle-3.6-r2.ebuild: BDEPEND: ~amd64-linux(prefix/linux/amd64) ['sys-apps/texinfo']
> dependency.badinexp dev-libs/nettle/nettle-3.6-r2.ebuild: BDEPEND: ~x86-linux(prefix/linux/x86) ['sys-apps/texinfo']
> dependency.badinexp dev-libs/nettle/nettle-3.6-r2.ebuild: BDEPEND: ~m68k-mint(prefix/mint/m68k) ['sys-apps/texinfo']
> dependency.badinexp dev-libs/nettle/nettle-3.6-r2.ebuild: BDEPEND: ~sparc-solaris(prefix/sunos/solaris/5.10/sparc) ['sys-apps/texinfo']
> dependency.badinexp dev-libs/nettle/nettle-3.6-r2.ebuild: BDEPEND: ~sparc64-solaris(prefix/sunos/solaris/5.10/sparc64) ['sys-apps/texinfo']
> dependency.badinexp dev-libs/nettle/nettle-3.6-r2.ebuild: BDEPEND: ~x64-solaris(prefix/sunos/solaris/5.10/x64) ['sys-apps/texinfo']
> dependency.badinexp dev-libs/nettle/nettle-3.6-r2.ebuild: BDEPEND: ~x86-solaris(prefix/sunos/solaris/5.10/x86) ['sys-apps/texinfo']
> dependency.badinexp dev-libs/nettle/nettle-3.6-r2.ebuild: BDEPEND: ~sparc-solaris(prefix/sunos/solaris/5.11/sparc) ['sys-apps/texinfo']
> dependency.badinexp dev-libs/nettle/nettle-3.6-r2.ebuild: BDEPEND: ~sparc64-solaris(prefix/sunos/solaris/5.11/sparc64) ['sys-apps/texinfo']
> dependency.badinexp dev-libs/nettle/nettle-3.6-r2.ebuild: BDEPEND: ~x64-solaris(prefix/sunos/solaris/5.11/x64) ['sys-apps/texinfo']
> dependency.badinexp dev-libs/nettle/nettle-3.6-r2.ebuild: BDEPEND: ~x86-solaris(prefix/sunos/solaris/5.11/x86) ['sys-apps/texinfo']
> dependency.badinexp dev-libs/nettle/nettle-3.6-r2.ebuild: BDEPEND: ~sparc-solaris(prefix/sunos/solaris/5.9/sparc) ['sys-apps/texinfo']
> dependency.badinexp dev-libs/nettle/nettle-3.6-r2.ebuild: BDEPEND: ~x64-cygwin(prefix/windows/cygwin/x64) ['sys-apps/texinfo']

So I guess some keyword love for texinfo is needed for:

> amd64-linux x86-linux x64-macos x86-macos ppc-macos m68k-mint sparc-solaris sparc64-solaris x64-solaris x86-solaris x64-cygwin
Comment 4 Larry the Git Cow gentoo-dev 2020-10-18 09:55:07 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=abbbd01df0db4443d4420603685d3e0ea7381b2f

commit abbbd01df0db4443d4420603685d3e0ea7381b2f
Author:     Kent Fredric <kentnl@gentoo.org>
AuthorDate: 2020-10-18 09:45:58 +0000
Commit:     Kent Fredric <kentnl@gentoo.org>
CommitDate: 2020-10-18 09:49:48 +0000

    dev-libs/nettle: BDEPEND texinfo for USE=doc bug #749831
    
    Adds texinfo to BDEPEND with USE="doc" as not having this causes
    src_configure to fail, and texinfo *can* be depcleaned on minimal
    systems.
    
    Keywords:
    - New dependency texinfo not keyworded everywhere, keywords dropped
      for:
        amd64-linux
        m68k-mint
        ppc-macos
        sparc-solaris sparc64-solaris
        x64-cygwin x64-macos x64-solaris
        x86-linux  x86-macos x86-solaris
    
    Bug: https://bugs.gentoo.org/749831
    Acked-by: Tony Vroon <chainsaw@gentoo.org>
    Package-Manager: Portage-3.0.8, Repoman-3.0.1
    Signed-off-by: Kent Fredric <kentnl@gentoo.org>

 dev-libs/nettle/nettle-3.6-r3.ebuild | 65 ++++++++++++++++++++++++++++++++++++
 1 file changed, 65 insertions(+)
Comment 5 Sam James archtester gentoo-dev Security 2020-12-26 21:17:16 UTC
Prefix keywording done, so I guess this can be closed?